## org.hibernate.hql.ast.util
Class ASTUtil.IncludePredicate

    java.lang.Object
      org.hibernate.hql.ast.util.ASTUtil.IncludePredicate

All Implemented Interfaces:
  ASTUtil.FilterPredicate

Enclosing class:
  ASTUtil

    public abstract static class ASTUtil.IncludePredicate

extends Object
implements ASTUtil.FilterPredicate

A predicate that uses inclusion, rather than exclusion semantics.

Constructor Summary
`ASTUtil.IncludePredicate()`

Method Summary
`boolean` `exclude(antlr.collections.AST node)` Returns true if the node should be filtered out.
`abstract boolean` `include(antlr.collections.AST node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTUtil.IncludePredicate

    public ASTUtil.IncludePredicate()

Method Detail

### exclude

    public final boolean exclude(antlr.collections.AST node)

  Description copied from interface: `ASTUtil.FilterPredicate`
  Returns true if the node should be filtered out.

  Specified by:
    `exclude` in interface `ASTUtil.FilterPredicate`
  Parameters:
    `node` - The node.
  Returns:
    true if the node should be filtered out, false to keep the node.

### include

    public abstract boolean include(antlr.collections.AST node)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.